
import 'dart:async';

import 'package:flutter/services.dart';

class AirexSwiftPlugin {
  static const MethodChannel _channel =
      const MethodChannel('airex_swift_plugin');

  static Future<void> configure(String appId, String senderId, String appGroup, bool isDev) async {
    await _channel.invokeMethod('configure', {'appId': appId, 'senderId': senderId, 'appGroup': appGroup, 'isDev': isDev});
  }

  static Future<void> logEvent(String eventName, Map parameters, int vts, int vtsCurr) async {
    await _channel.invokeMethod('logEvent', {'eventName': eventName, 'parameters': parameters, 'vts': vts, 'vtsCurr': vtsCurr});
  }
}
